> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/accounts/listing-account-transactions.md).

# Listing account transactions

<mark style="color:green;">`GET`</mark> `/api/public/v1/accounts/:account_id/transactions`

Returns the transaction history for a single account. Results are paginated and can be filtered by date and ordered.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**Path Parameters**

| Name        | Type   | Description |
| ----------- | ------ | ----------- |
| account\_id | string | Account ID. |

**URL Parameters**

<table><thead><tr><th width="183">Name</th><th width="92">Type</th><th>Description</th></tr></thead><tbody><tr><td>order</td><td>string</td><td>Order in which the list of transactions should be returned. Can be either <code>created_at</code>, <code>amount</code> or <code>balance</code>.</td></tr><tr><td>order_type</td><td>string</td><td>Order type. Can be either <code>asc</code> or <code>desc</code>.</td></tr><tr><td>per_page</td><td>number</td><td>Number of transactions per page to return.</td></tr><tr><td>page</td><td>number</td><td>Page for which you want to return transactions.</td></tr><tr><td>created_at_from</td><td>string</td><td>Date and time filter. Supports timestamps in ISO 8601 format, e.g. <code>2024-06-18T15:49:02.031Z</code>.</td></tr><tr><td>created_at_to</td><td>string</td><td>Date and time filter. Supports timestamps in ISO 8601 format, e.g. <code>2024-06-18T15:49:02.031Z</code>.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": [
    {
      "id": "28e51afe-a9f9-43f1-9204-cc90a7deb4f2",
      "type": "transactions",
      "attributes": {
        "createdAt": "2024-06-18T15:49:02.031Z",
        "simplifiedState": "completed",
        "transactionType": "CoinTransaction",
        "amount": "0.00010000",
        "balance": "0.20087774"
      },
      "relationships": {
        "account": {
          "data": {
            "type": "accounts",
            "id": "5850abb7-0a60-4041-800c-1d43b4dcf4d6"
          }
        }
      }
    }
  ],
  "included": [
    {
      "id": "5850abb7-0a60-4041-800c-1d43b4dcf4d6",
      "type": "accounts",
      "attributes": {
        "currencyCode": "BTC",
        "balance": "0.20087774",
        "currencyType": "crypto"
      },
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 1,
    "total": 78
  },
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}

**Response Body**

<table><thead><tr><th>Name</th><th width="99">Type</th><th>Description</th></tr></thead><tbody><tr><td>data[].id</td><td>string</td><td>Transaction ID.</td></tr><tr><td>data[].type</td><td>string</td><td>Entity type returned. Always <code>transactions</code>.</td></tr><tr><td>data[].attributes</td><td>object</td><td>A set of transaction attributes.</td></tr><tr><td>data[].attributes.createdAt</td><td>string</td><td>Transaction creation timestamp in UTC+0. Refer to the <a href="/pages/H7xWDJMZukOei8CS8tUW">Date and time format</a> page.</td></tr><tr><td>data[].attributes.simplifiedState</td><td>string</td><td>Transaction status.</td></tr><tr><td>data[].attributes.transactionType</td><td>string</td><td>Transaction type. Can be either <code>ExchangeTransaction</code>, <code>CoinTransaction</code> or <code>ManualTransaction</code>.</td></tr><tr><td>data[].attributes.amount</td><td>string</td><td>Transaction amount.</td></tr><tr><td>data[].attributes.balance</td><td>string</td><td>Account balance immediately after Txn processed this transaction.</td></tr><tr><td>data[].attributes.currency</td><td>string</td><td>Currency code of the transaction. Matches the account currency.</td></tr><tr><td>data[].attributes.reference</td><td>string</td><td>Reference associated with the transaction.</td></tr><tr><td>data[].attributes.accountId</td><td>string</td><td>ID of the account the transaction belongs to. Same value as <code>data[].relationships.account.id</code>.</td></tr><tr><td>data[].relationships.account.type</td><td>string</td><td>Entity type of the related account. Always <code>accounts</code>.</td></tr><tr><td>data[].relationships.account.id</td><td>string</td><td>ID of the account the transaction belongs to.</td></tr><tr><td>meta.page</td><td>number</td><td>Current page number. <code>null</code> when no <code>page</code> parameter is supplied.</td></tr><tr><td>meta.per_page</td><td>number</td><td>Page size used for the response.</td></tr><tr><td>meta.total</td><td>number</td><td>Total number of transactions matching the query.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.txn.io/accounts/listing-account-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
